Package com.pixelmed.dicom

## Class CompositeInstanceContext.Selector

- java.lang.Object
- - com.pixelmed.dicom.CompositeInstanceContext.Selector

- Enclosing class:
    CompositeInstanceContext

      public static class CompositeInstanceContext.Selector
      extends java.lang.Object

  A class to select which entities are copied or propagated or removed or not during operations on CompositeInstanceContext.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `boolean` | `equipment` |
    `boolean` | `frameOfReference` |
    `boolean` | `instance` |
    `boolean` | `patient` |
    `boolean` | `series` |
    `boolean` | `srDocumentGeneral` |
    `boolean` | `study` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Selector​(boolean allSelected)` | Construct a selector with all modules selected or not selected.
    `Selector​(java.lang.String[] arg, java.util.ArrayList<java.lang.String> remainder)` | Construct a selector with only modules named in arguments selected.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### patient

          public boolean patient

    - #### study

          public boolean study

    - #### equipment

          public boolean equipment

    - #### frameOfReference

          public boolean frameOfReference

    - #### series

          public boolean series

    - #### instance

          public boolean instance

    - #### srDocumentGeneral

          public boolean srDocumentGeneral

  - ### Constructor Detail

    - #### Selector

          public Selector​(boolean allSelected)

      Construct a selector with all modules selected or not selected.

      Parameters:
        `allSelected` - true if all modules are selected rather than not selected on construction

    - #### Selector

          public Selector​(java.lang.String[] arg,
                          java.util.ArrayList<java.lang.String> remainder)

      Construct a selector with only modules named in arguments selected.

      Used to decode selectors from command line arguments.

      Strings recognized are -patient|-study|-equipment|-frameofreference|-series|-instance|srdocumentgeneral.

      Parameters:
        `arg` - command line arguments
        `remainder` - empty list to add remaining command line arguments after anything used was removed